import QtQuick 2.0
import Sailfish.Silica 1.0
import QtQuick.XmlListModel 2.0



Page {
    property int startdate;
    property int enddate;
    XmlListModel
    {
        id: forecast
        source: "http://geoserver.nottinghamcity.gov.uk/opendata/xml/ncc_Streetworks.xml"
        namespaceDeclarations: "declare namespace fme = 'http://www.safe.com/xml/xmltables';"
//        source: "http://hatrafficinfo.dft.gov.uk/feeds/datex/England/UnplannedEvent/content.xml"
//        query: "/d2LogicalModel/payloadPublication/situation"
        query: "/fme:xml-tables/fme:ncc_Streetworks-table/fme:ncc_Streetworks[fme:STARTTIME>"+startdate+"000000 and fme:STARTTIME<"+enddate+"200000]"
//        query: "/fme:xml-tables/fme:ncc_Streetworks-table/fme:ncc_Streetworks"

        XmlRole {
            name: "latitude"
            query: "fme:LAT/string()"
        }
        XmlRole {
            name: "longitude"
            query: "fme:LONG/string()"
        }
        XmlRole {
            name: "descr"
            query: "fme:DESCRIPTION/string()"
        }
        XmlRole {
            name: "addr"
            query: "fme:ADDRESS/string()"
        }
        XmlRole {
            name: "locat"
            query: "fme:LOCATIONDESC/string()"
        }

//        onStatusChanged: {
//            if (status === XmlListModel.Ready) {
//                var today = get(0)
//            }
//        }
    }

    SilicaListView {
                anchors.fill: parent
                spacing: Theme.paddingSmall

                model: forecast

                delegate: ListItem {
                    VerticalScrollDecorator {}
                    Row {
                        Column {
                            Button {
                                text: model.latitude
                                onClicked: pageStack.push(Qt.resolvedUrl("SecondPage.qml"), {lat: model.latitude, lon: model.longitude})
                            }
//                            Label {
//                                text: "Description:" + model.descr
//                            }
//                            Label {
//                                text: "Address:" + model.addr
//                            }
//                            Label {
//                                text: "Detailed:" + model.locat
//                            }

//                        Column {
//                            Label {
//                                text: model.longitude
//                            }
//                        }
                        }
                    }
                }
            }

//    SilicaWebView
//    {
//            id: webView

//            anchors
//            {
//                top: parent.top
//                left: parent.left
//                right: parent.right
//                bottom: parent.bottom
//            }
//            url: "http://maps.googleapis.com/maps/api/staticmap?center=Lappeenranta&zoom=11&size=270x480&scale=2&sensor=false&key=AIzaSyCszxLHrdHfqQLdHQkqGcu7pkcl9LB4w4Q"+ markers +""
////            url: "map.html"
//     }

}

